Extending Qt Creator Manual | CPlusPlus Namespace

Extending Qt Creator Manual 4.7.1

# CPlusPlus Namespace

Header: | #include <CPlusPlus>

## Namespaces

namespace | Internal

## Classes

class | pp_skip_argument
class | pp_skip_blanks
class | pp_skip_char_literal
class | pp_skip_comment_or_divop
class | pp_skip_identifier
class | pp_skip_number
class | pp_skip_string_literal
class | pp_skip_whitespaces

## Types

typedef | Tokens

## Functions

int | qHash(const int &)
bool | operator!=(const int &other, const int &ref)
bool | operator==(const int &other, const int &ref)

## Detailed Description

The namespace for C++ related tools.

## Namespaces

### namespace CPlusPlus::Internal

## Classes

### class pp_skip_argument

### class pp_skip_blanks

### class pp_skip_char_literal

### class pp_skip_comment_or_divop

### class pp_skip_identifier

### class pp_skip_number

### class pp_skip_string_literal

### class pp_skip_whitespaces

## Type Documentation

### typedef CPlusPlus::Tokens

## Function Documentation

### int CPlusPlus::qHash(const int &)

### bool CPlusPlus::operator!=(const int &other, const int &ref)

### bool CPlusPlus::operator==(const int &other, const int &ref)